MooseX::Getopt::ProcessedArgv(3)

NAME
MooseX::Getopt::ProcessedArgv - MooseX::Getopt::ProcessedArgv - Class containing the results of process_argv

VERSION
version 0.69

SYNOPSIS
  use My::App;

  my $pa = My::App->process_argv(@params);
  my $argv_copy          = $pa->argv_copy();
  my $extra_argv         = $pa->extra_argv();
  my $usage              = $pa->usage();
  my $constructor_params = $pa->constructor_params();
  my $cli_params         = $pa->cli_params();

DESCRIPTION
This object contains the result of a "process_argv" in MooseX::Getopt call. It contains all the information that "new_with_options" in MooseX::Getopt uses when calling new.

METHODS

  argv_copy
Reference to a copy of the original @ARGV array as it originally existed at the time of "new_with_options".

  extra_arg
Arrayref of leftover @ARGV elements that Getopt::Long did not parse.

  usage
Contains the Getopt::Long::Descriptive::Usage object (if Getopt::Long::Descriptive is used).

  constructor_params
Parameters passed to process_argv.

  cli_param
Command-line parameters parsed out of @ARGV.

SUPPORT
Bugs may be submitted through the RT bug tracker <https://rt.cpan.org/Public/Dist/Display.html?Name=MooseX-Getopt> (or bug-MooseX-Getopt@rt.cpan.org <mailto:bug-MooseX-Getopt@rt.cpan.org>).

There is also a mailing list available for users of this distribution, at <http://lists.perl.org/list/moose.html>.

There is also an irc channel available for users of this distribution, at "#moose" on "irc.perl.org" <irc://irc.perl.org/#moose>.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2007 by Infinity Interactive, Inc.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.